### Method

# FwupdPlugin Device from_json

#### Declaration [src]

    gboolean
    fu_device_from_json (
      FuDevice* self,
      JsonObject* json_object,
      GError** error
    )

#### Description

No description available.

#### Parameters

`json_object` | `JsonObject`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.